org.bouncycastle.asn1.x509

## Class CRLDistPoint

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.x509.CRLDistPoint

All Implemented Interfaces:
  DEREncodable

    public class CRLDistPoint
    extends ASN1Encodable

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Constructor Summary

Constructors
Constructor and Description
`CRLDistPoint(ASN1Sequence seq)`
`CRLDistPoint(DistributionPoint[] points)`

### Method Summary

Methods
`DistributionPoint[]` `getDistributionPoints()` Return the distribution points making up the sequence.
`static CRLDistPoint` `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static CRLDistPoint` `getInstance(java.lang.Object obj)`
`DERObject` `toASN1Object()` Produce an object suitable for an ASN1OutputStream.
`java.lang.String` `toString()`

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CRLDistPoint

    public CRLDistPoint(ASN1Sequence seq)

#### CRLDistPoint

    public CRLDistPoint(DistributionPoint[] points)

### Method Detail

#### getInstance

    public static CRLDistPoint getInstance(ASN1TaggedObject obj,
                           boolean explicit)

#### getInstance

    public static CRLDistPoint getInstance(java.lang.Object obj)

#### getDistributionPoints

    public DistributionPoint[] getDistributionPoints()

Return the distribution points making up the sequence.

Returns:
  DistributionPoint[]

#### toASN1Object

    public DERObject toASN1Object()

Produce an object suitable for an ASN1OutputStream.

     CRLDistPoint ::= SEQUENCE SIZE {1..MAX} OF DistributionPoint

Specified by:
  `toASN1Object` in class `ASN1Encodable`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`